Subject: Re: bug#15006: 24.3; emacs manual comment-start-skip example grouping

From: Kevin Ryde <[email-masked]>
Date: Fri, 02 Aug 2013 11:50:00 +1000

Stefan Monnier <[email-masked]> writes:
>
>> If I understand the comment-start-skip docstring correctly a \(..\)
>> group is for extra distinguishing text preceding the comment.  Should
>> that example be a shy group,
>
> Indeed, thank you.

Actually I see the cc-mode code uses it with a group.  And js.el too
(perhaps copying cc-mode).  Does it have some subtle effect of skipping
the /*, or is it outright wrong?

> Yes, I prefer to stay away from "whitepace syntax" for that reason and
> would recommend [ \t]* in its stead.

I suppose the intention is to pick up non-breaking spaces or whatever
other flavours of whitespace.  Unlikely to arise in practice in
programming language stuff.  Is there an obvious ill effect?